# Type alias Processor<C, A, T, R>

Processor<C, A, T, R>: ((...args) => Process<C, T, R>)

#### Type Parameters

- #### C extends Meta.Collections

- #### A extends unknown[]

- #### T = any

- #### R extends RequestType<C> | undefined = undefined

#### Type declaration

- - (...args): Process<C, T, R>

  - #### Parameters

    - ##### `Rest` ...args: A

    #### Returns Process<C, T, R>

- Defined in packages/db/src/meta/process/types.ts:109

Generated using TypeDoc